import { Bucket } from './bucket.js';
import { S3DriverCfg } from './driver-aws.js';
import { GsDriverCfg } from './driver-gcp.js';
import { MinioDriverCfg } from './driver-minio.js';
import { BucketFile, ListOptions, ListResult } from './types.js';
export { signUrl, SignUrlOptions, urlSigner } from './url-signer.js';
export { Bucket, BucketFile, ListOptions, ListResult };
declare type GetBucketOptions = {
    log?: boolean;
} & (GsDriverCfg | S3DriverCfg | MinioDriverCfg);
export declare function getBucket(options: GetBucketOptions): Promise<Bucket>;
